## python-json-log-formatter 0.5.2

=== Makefile ===
test:
	tox

pypi:
	python setup.py sdist upload

=== requirements.txt ===
-e .

tox==2.9.1

=== debian/changelog ===
python-json-log-formatter (0.5.2-3) unstable; urgency=medium

  * Team upload.
  * Replace test-update-ujson.patch with upstream cherry-pick (closes:
    #1061754).

 -- Colin Watson <cjwatson@debian.org>  Thu, 07 Mar 2024 19:47:05 +0000

python-json-log-formatter (0.5.2-2) unstable; urgency=medium

  * Source-only upload 

 -- Jérémy Lal <kapouer@melix.org>  Fri, 12 Jan 2024 11:26:06 +0100

python-json-log-formatter (0.5.2-1) unstable; urgency=medium

  * Initial release (Closes: 1060168)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 06 Jan 2024 21:48:04 +0100

=== debian/control ===
Source: python-json-log-formatter
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-pytest,
 python3-all,
 python3-ujson,
 python3-simplejson,
 python3-django,
 tox,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-json-log-formatter
Vcs-Git: https://salsa.debian.org/python-team/packages/python-json-log-formatter.git
Homepage: https://github.com/marselester/json-log-formatter

Package: python3-json-log-formatter
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: JSON formatter logging for Python
 This library allows one to configure Python logging to
 use a JSON formatter.

## python-json-log-formatter 1.0.0

=== debian/changelog ===
python-json-log-formatter (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 May 2024 12:56:26 +0100

## python-json-log-formatter 1.1.0

=== debian/changelog ===
python-json-log-formatter (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Oct 2024 17:52:35 +0100

## python-json-log-formatter 1.1.1

=== Makefile ===
test:
	tox

pypi:
	python setup.py sdist
	python -m twine upload dist/*

=== requirements.txt ===
-e .

tox==4.11.4

=== debian/changelog ===
python-json-log-formatter (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2025 16:42:11 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --test-tox

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/marselester/json-log-formatter/tags .*/v?(\d\S*)\.tar\.gz debian
